import request from '@/utils/request'

// 查询PLC参数信息列表
export function listBasePlcParam(query) {
  return request({
    url: '/base/basePlcParam/list',
    method: 'get',
    params: query
  })
}

// 查询PLC参数信息详细
export function getBasePlcParam(objId) {
  return request({
    url: '/base/basePlcParam/' + objId,
    method: 'get'
  })
}

// 新增PLC参数信息
export function addBasePlcParam(data) {
  return request({
    url: '/base/basePlcParam',
    method: 'post',
    data: data
  })
}

// 修改PLC参数信息
export function updateBasePlcParam(data) {
  return request({
    url: '/base/basePlcParam',
    method: 'put',
    data: data
  })
}

// 删除PLC参数信息
export function delBasePlcParam(objId) {
  return request({
    url: '/base/basePlcParam/' + objId,
    method: 'delete'
  })
}
